﻿using System.Web.UI;
using System;

namespace RH.UploadAndInsertField
{
	public static class Extensions
	{
		public static void AddLinebreak(this ControlCollection controls, int breaks)
		{
			for (int i = 0; i <= breaks; i++)
			{
				controls.Add(new LiteralControl("<br/>"));
			}
		}

		/// <summary>
		/// 
		/// </summary>
		/// <param name="page"></param>
		/// <param name="queryString"></param>
		/// <returns>value for queryString as ToUpper() string</returns>
		internal static string GetQueryString(this Page page, string queryString)
		{
			return page.Request[queryString] == null ? null : page.Request[queryString].ToUpper();
		}

      /// <summary>
      /// try to parse the string as guid
      /// </summary>
      /// <param name="guidString"></param>
      /// <param name="guid"></param>
      /// <returns>successfully parsed the string</returns>
      public static bool TryGuidParse(this string guidString, out Guid guid)
      {
         try
         {
            guid = new Guid(guidString);
            return true;
         }
         catch (Exception)
         {
            guid = Guid.Empty;
            return false;
         }
      }
	}
}
