﻿using System;

namespace RH.Update
{
    public class LatestVersion
    {
        private readonly Version _Version;
        private readonly DateTime _PublishDate;

        public Version Version
        {
            get { return _Version; }
        }

        public DateTime PublishDate
        {
            get { return _PublishDate; }
        }

        public string ErrorText { get; private set; }

        public LatestVersion()
        {
        }

        public LatestVersion(string errorText)
        {
            _Version = new Version();
            ErrorText = errorText;
        }

        public LatestVersion(string version, DateTime publishDate, string errorText)
        {
            _Version = new Version(version);
            _PublishDate = publishDate;
            ErrorText = errorText;
        }
    }
}
